function [ index ] = delineation_r_peaks_wavelet( ecgsig, Fs, k)
vec=1:length(ecgsig);
tm=vec/Fs;
wt = modwt(ecgsig,5);
wtrec = zeros(size(wt));
wtrec(4:5,:) = wt(4:5,:);
y = imodwt(wtrec,'sym4');
y = abs(y).^2;

minpeakheight=std(y)*k;

[qrspeaks,locs] = findpeaks(y,tm,'MinPeakHeight',minpeakheight,'MinPeakDistance',0.150);
index=round(locs*Fs);

end

